Package org.eclipse.birt.chart.model.data

# Interface Trigger

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TriggerImpl`

public interface Trigger extends IChartObject
A representation of the model object 'Trigger'. This type defines a Trigger. A trigger defines interactivity for a chart component.

The following features are supported:

- `Condition`
- `Action`
- `Trigger Flow`

See Also:
  - `DataPackage.getTrigger()`

## Method Summary

Modifier and Type
Method
Description
`Trigger`
`copyInstance()`
`Action`
`getAction()`
Returns the value of the 'Action' containment reference.
`TriggerCondition`
`getCondition()`
Returns the value of the 'Condition' attribute.
`TriggerFlow`
`getTriggerFlow()`
Returns the value of the 'Trigger Flow' attribute.
`boolean`
`isSetCondition()`
Returns whether the value of the ' `Condition`' attribute is set.
`boolean`
`isSetTriggerFlow()`
Returns whether the value of the '`Trigger Flow`' attribute is set.
`void`
`setAction(Action value)`
Sets the value of the '`Action`' containment reference.
`void`
`setCondition(TriggerCondition value)`
Sets the value of the '`Condition`' attribute.
`void`
`setTriggerFlow(TriggerFlow value)`
Sets the value of the '`Trigger Flow`' attribute.
`void`
`unsetCondition()`
Unsets the value of the '`Condition`' attribute.
`void`
`unsetTriggerFlow()`
Unsets the value of the '`Trigger Flow`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getCondition

TriggerCondition getCondition()
Returns the value of the 'Condition' attribute. The default value is `"Mouse_Hover"`. The literals are from the enumeration `TriggerCondition`. Specifies the condition for the Trigger. This value determines when the Action is processed.

Returns:
  the value of the 'Condition' attribute.
See Also:
  - `TriggerCondition`
  - `isSetCondition()`
  - `unsetCondition()`
  - `setCondition(TriggerCondition)`
  - `DataPackage.getTrigger_Condition()`

### setCondition

void setCondition(TriggerCondition value)
Sets the value of the '`Condition`' attribute.

Parameters:
  `value` - the new value of the 'Condition' attribute.
See Also:
  - `TriggerCondition`
  - `isSetCondition()`
  - `unsetCondition()`
  - `getCondition()`

### unsetCondition

void unsetCondition()
Unsets the value of the '`Condition`' attribute.

See Also:
  - `isSetCondition()`
  - `getCondition()`
  - `setCondition(TriggerCondition)`

### isSetCondition

boolean isSetCondition()
Returns whether the value of the ' `Condition`' attribute is set.

Returns:
  whether the value of the 'Condition' attribute is set.
See Also:
  - `unsetCondition()`
  - `getCondition()`
  - `setCondition(TriggerCondition)`

### getAction

Action getAction()
Returns the value of the 'Action' containment reference. Specifies the Action for the Trigger. This value describes the interactivity of the trigger.

Returns:
  the value of the 'Action' containment reference.
See Also:
  - `setAction(Action)`
  - `DataPackage.getTrigger_Action()`

### setAction

void setAction(Action value)
Sets the value of the '`Action`' containment reference.

Parameters:
  `value` - the new value of the 'Action' containment reference.
See Also:
  - `getAction()`

### getTriggerFlow

TriggerFlow getTriggerFlow()
Returns the value of the 'Trigger Flow' attribute. The default value is `"Capture"`. The literals are from the enumeration `TriggerFlow`. Specifies the bubbling behavior of the Trigger.

Returns:
  the value of the 'Trigger Flow' attribute.
See Also:
  - `TriggerFlow`
  - `isSetTriggerFlow()`
  - `unsetTriggerFlow()`
  - `setTriggerFlow(TriggerFlow)`
  - `DataPackage.getTrigger_TriggerFlow()`

### setTriggerFlow

void setTriggerFlow(TriggerFlow value)
Sets the value of the '`Trigger Flow`' attribute.

Parameters:
  `value` - the new value of the 'Trigger Flow' attribute.
See Also:
  - `TriggerFlow`
  - `isSetTriggerFlow()`
  - `unsetTriggerFlow()`
  - `getTriggerFlow()`

### unsetTriggerFlow

void unsetTriggerFlow()
Unsets the value of the '`Trigger Flow`' attribute.

See Also:
  - `isSetTriggerFlow()`
  - `getTriggerFlow()`
  - `setTriggerFlow(TriggerFlow)`

### isSetTriggerFlow

boolean isSetTriggerFlow()
Returns whether the value of the '`Trigger Flow`' attribute is set.

Returns:
  whether the value of the 'Trigger Flow' attribute is set.
See Also:
  - `unsetTriggerFlow()`
  - `getTriggerFlow()`
  - `setTriggerFlow(TriggerFlow)`

### copyInstance

Trigger copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`